Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## javax.xml.transform
Interface Source

All Known Implementing Classes:
  DOMSource, SAXSource, StreamSource

      public interface Source

An object that implements this interface contains the information needed to act as source input (XML source or transformation instructions).

Method Summary
`java.lang.String` `getSystemId()` Get the system identifier that was set with setSystemId.
`void` `setSystemId(java.lang.String systemId)` Set the system identifier for this Source.

Method Detail

### setSystemId

    void setSystemId(java.lang.String systemId)

  Set the system identifier for this Source.

  The system identifier is optional if the source does not get its data from a URL, but it may still be useful to provide one. The application can use a system identifier, for example, to resolve relative URIs and to include in error messages and warnings.

  Parameters:
    `systemId` - The system identifier as a URL string.

### getSystemId

    java.lang.String getSystemId()

  Get the system identifier that was set with setSystemId.
  Returns:
    The system identifier that was set with setSystemId, or null if setSystemId was not called.

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2001 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.